--- logging.c-orig	2005-12-12 17:42:45.000000000 -0700
+++ logging.c	2007-01-22 11:08:06.000000000 -0700
@@ -337,6 +337,15 @@
 		snprintf(temp_buffer,sizeof(temp_buffer),"%s HOST STATE: %s;%s;%s;%s;%s\n",(type==INITIAL_STATES)?"INITIAL":"CURRENT",temp_host->name,macro_x[MACRO_HOSTSTATE],macro_x[MACRO_HOSTSTATETYPE],macro_x[MACRO_HOSTATTEMPT],temp_host->plugin_output);
 		temp_buffer[sizeof(temp_buffer)-1]='\x0';
 		write_to_all_logs_with_timestamp(temp_buffer,NSLOG_INFO_MESSAGE,timestamp);
+
+		/* Add a "downtime reminder" to the log if this host is currently in scheduled downtime */
+		if(temp_host->scheduled_downtime_depth > 0){
+
+			/* log a notice - this one is parsed by the history CGI */
+			snprintf(temp_buffer,sizeof(temp_buffer),"%s HOST DOWNTIME STATE: %s;STARTED; Host has entered a period of scheduled downtime",(char *)((type==INITIAL_STATES)?"INITIAL":"CURRENT"),temp_host->name);
+			temp_buffer[sizeof(temp_buffer)-1]='\x0';
+			write_to_all_logs_with_timestamp(temp_buffer,NSLOG_INFO_MESSAGE,timestamp);
+		        }
 	        }
 
 	return OK;
@@ -370,6 +379,15 @@
 
 		temp_buffer[sizeof(temp_buffer)-1]='\x0';
 		write_to_all_logs_with_timestamp(temp_buffer,NSLOG_INFO_MESSAGE,timestamp);
+
+		/* Add a "downtime reminder" to the log if this service is currently in scheduled downtime */
+		if(temp_service->scheduled_downtime_depth > 0){
+
+			/* log a notice - this one is parsed by the history CGI */
+			snprintf(temp_buffer,sizeof(temp_buffer),"%s SERVICE DOWNTIME STATE: %s;%s;STARTED; Service has entered a period of scheduled downtime",(char *)((type==INITIAL_STATES)?"INITIAL":"CURRENT"),temp_service->host_name,temp_service->description);
+			temp_buffer[sizeof(temp_buffer)-1]='\x0';
+			write_to_all_logs_with_timestamp(temp_buffer,NSLOG_INFO_MESSAGE,timestamp);
+		        }
 	        }
 
 	return OK;
